Skip to content
Last updated
This API is in closed beta

The API functionality is in closed beta phase. Currently, the closed beta is available only for select providers. Make sure to direct any questions during the beta phase to your Booking.com contact person via the appropriate channels.

GET https://payments-api.booking.com/connectivity-payments/recon-reports/filters?legal-entity-ids={id1},{id2}

The Filters API allows you to fetch filters applicable for a given legal entity ID. Upon fetching the applicable filters, you can use them to request a payout report.

Required connection type

You need to be connected with the reservations connection type to use this API.

For more information on the connection types, see Connections API Overview.

Supported filters: Legal entity, asset, from date, to date, bank account, payout type (net/gross), file format type (CSV/JSON/XLS), locale (en-us/nl/fr/it).

Headers

HeaderDescriptionType
api-versionThe version of the API. If omitted, defaults to 1.0.string

Query parameters

ParameterTypeDescription
legal-entity-idsstringA comma-separated list of legal entity IDs for which you want to fetch the filters.

Response example

{
  "meta": {
    "ruid": "string"
  },
  "data": {
    "data_available_from_date": "2021-01-01",
    "report_configurations": [
      {
        "config_key": "format_type",
        "config_values": [
          "CSV",
          "XLS",
          "JSON"
        ],
        "default_value": "CSV"
      },
      {
        "config_key": "locale",
        "config_values": [
          "en-us",
          "nl",
          "fr",
          "it"
        ],
        "default_value": "en-us"
      }
    ],
    "report_filters": [ 
      {
        "filter_key": "bank_accounts",
        "filter_values": [
          "5890"
        ]
      },
      {
        "filter_key": "payout_type",
        "filter_values": [
          "NET",
          "GROSS"        
        ]
      },
      {
        "filter_key": "statement_descriptor",
        "filter_values": []
      }
    ]
  },
  "errors": [
    {
      "description": "string",
      "message": "string",
      "status_code": 0,
      "debug_message": "string"
    }
  ],
  "warnings": [
    {
      "message": "string"
    }
  ]
}

Response elements

This table lists and describes the response elements that the API can return.

ElementDescriptionType
dataContains the response data.object
:: data_available_from_dateSpecifies the date from which the data is available for the provided legal entity ID. Format: YYYY-MM-DD.string
:: report_configurationsContains the configuration options for the report: a config_key, config_values, and default_value. The rows below describe the available values.array
::: format_typeSpecifies the desired format of the report: JSON, CSV, or XLS. Default is CSV.string
::: localeSpecifies the language of the report. For example, en-us, fr, de, es. Default is en-us.string
:: report_filtersContains the applicable filters for the report: a filter_key and filter_values pair. The rows below describe the available values.array
::: bank_accountsSpecifies the last 4 digits of the bank account for filtering.array of strings
::: payout_typeSpecifies the payout type for filtering: NET or GROSS.string
::: statement_descriptorSpecifies the statement descriptor for the report. A descriptor is a short, alphanumeric string (max 255 characters).
- For bank transfer payouts, the statement descriptor corresponds to the “transfer reference”, which is a unique code generated by Booking.com to help partners trace the origin and nature of the payout on their bank statements.
- For Stripe payouts, the descriptor is known as the “Stripe payout statement descriptor”. Stripe generates this text, which may differ from platform-generated references, and partners can use it to match the deposit on their bank statement to the specific payout in their reconciliation report.
string
errorsContains potential errors. These can help you understand what went wrong with your request. For more information, see Response codes.array
warningsContains potential warnings. These can help you improve your requests.array

Rate limiting

To prevent excessive load on our systems, we limit the number of API calls that a provider can make per minute. For the Filters API, the limit is 50 requests per minute.

Response codes

This table lists and describes the response codes that the API can return.

CodeDescription
200 OKApplicable filters are returned.
400 Bad requestInvalid parameters provided.
401 UnauthorizedUser not authenticated.
403 ForbiddenUser not authorized to access this report.
429 Too Many RequestsRate limit exceeded.
500 Internal server errorAn unexpected error occurred.